<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Social Engineering|Reusable Campaign Resources|Templates|Malicious Files">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to serve a malicious file through a campaign." /><title>Serving a Malicious File through a Web Page</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#11-social-engineering/serving-malicious-files.html">Open topic with navigation</a>
        </p>
        <h3>Serving a Malicious File through a Web Page<a name="kanchor182"></a></h3>
        <ol data-mc-continue="true">
            <li value="1">From within a project, click the <b class="UISelection">Campaigns </b>tab.</li>
            <li value="2">
Click the<b class="UISelection"> Configure a Campaign</b> tab. 
</li>
            <li value="3">When the new campaign configuration form appears, enter a name for the campaign in the <b class="UISelection">Name </b>field. 
</li>
            <li value="4">For the setup option, choose <b class="UISelection">Custom Campaign</b>. </li>
            <li value="5">
Click the <b class="UISelection">Add e-mail, web page, portable file</b> button. 
</li>
            <li value="6">Click the<b class="UISelection"> Web Page </b>button. </li>
            <li value="7">
When the e-mail configuration window appears, enter the URL that you want the web page to use in the Path field. By default, <span class="VariablesProductName">Metasploit Pro</span> uses the IP address of the Metasploit instance for the web page’s domain; however, you can change this when you configure the settings for the web server. 
</li>
            <li value="8">In the<b class="UISelection"> Component name</b> field, enter a name for the web page component. This is the name that displays for the component on the campaign configuration page.
</li>
            <li value="9">From the <b class="UISelection">Attack type</b> dropdown, choose the <b class="UISelection">Serve File</b> option. 
</li>
            <li value="10">From the<b class="UISelection"> File generation type</b> options, choose the <b class="UISelection">User supplied file</b> option. 
</li>
            <li value="11">From the <b class="UISelection">Choose a file </b>dropdown, select the malicious file that you want to attach to the e-mail. Please remember that you must upload the malicious file before you can access it through a campaign component. If the file that you want to use has not been uploaded, you can choose the Upload a new file option to upload the file that you want to use.
</li>
            <li value="12">Click the <b class="UISelection">Next </b>button to create the web page content. </li>
            <li value="13">
After you create the web page content, click the <b class="UISelection">Save </b>button to close the web page configuration window. </li>
            <li value="14">From the campaign configuration page, click the <b class="UISelection">Web Server</b> button. 
</li>
            <li value="15">When the web server configuration window appears, select the host name that you want to use to host the web page.
</li>
            <li value="16">In the<b class="UISelection"> Listening Port </b>field, enter a port that is commonly used for HTTP traffic, such as ports 80 or 8080. </li>
            <li value="17">
Click the <b class="UISelection">Save </b>button to save your changes and to close the web server configuration window. </li>
            <li value="18">
Now that you are back on the campaign configuration page, you need to create an e-mail to deliver the web page URL to the human targets. 
</li>
            <li value="19">From the <b class="UISelection">Campaign Components</b> area, click the <b class="UISelection">Add e-mail, web page, portable file</b> button. 
</li>
            <li value="20">Click the <b class="UISelection">E-mail</b> button. </li>
            <li value="21">
When the e-mail configuration window appears, enter a name for the e-mail component in the Component name field. This is the name that displays for the component on the campaign configuration page. </li>
            <li value="22">
In the <b class="UISelection">Subject </b>field, enter a subject for the e-mail. </li>
            <li value="23">
In the<b class="UISelection"> From address</b> field, enter the e-mail address that the campaign is trying to spoof. </li>
            <li value="24">
In the <b class="UISelection">From name</b> field, enter the name of the person that the spoofed e-mail should appear to be from. </li>
            <li value="25">
From the <b class="UISelection">Choose a Target List</b> dropdown, select the target list that you want to send the e-mail to.</li>
            <li value="26"> 
From the <b class="UISelection">Attack type</b> dropdown, choose <b class="UISelection">None</b>.
</li>
            <li value="27">Click the <b class="UISelection">Next </b>button to create the e-mail body. 
</li>
            <li value="28">After you create the e-mail body, click the <b class="UISelection">Save </b>button to close the e-mail configuration window. </li>
            <li value="29">
From the campaign configuration page, click the<b class="UISelection"> E-mail Server</b> button. </li>
        </ol>
        <p class="NoBulletListIndent">

If you have a global SMTP server set up, you can go ahead and click the <b class="UISelection">Save </b>button to validate and save the server settings. </p>
        <p class="NoBulletListIndent">

If you do not have a global SMTP server configured, you will need to provide the SMTP settings for your mail server. </p>
        <ol data-mc-continue="true">
            <li value="30">After you define the SMTP settings, you can click <b class="UISelection">Save </b>to validate the server settings and to close the e-mail server configuration window. 
</li>
            <li value="31">When the campaign configuration page appears, click the <b class="UISelection">Save </b>button to save the campaign or click the<b class="UISelection"> Launch Campaign</b> button to start the campaign.</li>
        </ol>
    </body>
</html>